package cn.palmte.work.model;

/**
 * 报表导出数据结构
 */
public class ExportExcelBean {
    /**
     * 任务Id
     */
    private String taskId;
    /**
     * 报表头
     */
    private String[] headers;//
    /**
     * 字段名
     */
    private String[] columns;//
    /**
     * 查询SQL语句
     */
    private String sql;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 文件输出路径，绝对路径
     */
    private String exportFilePath;
    /**
     * 文件下载地址
     */
    private String exportFileUrl;
    /**
     * 谁操作的
     */
    private int who;

    /**
     * 导出人的名字
     */
    private String realName;

    public ExportExcelBean(String taskId, String[] headers, String[] columns, String sql, String fileName, String exportFilePath, String exportFileUrl, int who, String realName) {
        this.taskId = taskId;
        this.headers = headers;
        this.columns = columns;
        this.sql = sql;
        this.fileName = fileName;
        this.exportFilePath = exportFilePath;
        this.exportFileUrl = exportFileUrl;
        this.who = who;
        this.realName = realName;
    }

    public String getTaskId() { return this.taskId;}

    public String[] getHeaders() {
        return headers;
    }

    public String[] getColumns() {
        return columns;
    }

    public String getSql() {
        return sql;
    }

    public String getFileName() {
        return fileName;
    }

    public String getExportFilePath() {
        return exportFilePath;
    }

    public String getExportFileUrl() {
        return exportFileUrl;
    }

    public int getWho(){return who;}

    public String getRealName() {
        return realName;
    }

}
